<?php
	$height = count($items)*$text_height;
	$width = 0;
	foreach($items as $item) {
		if (strlen($item->title) > $width) {
			$width = strlen($item->title);
		}
	}
	$width *= $text_width;
	$img = imagecreatetruecolor($width+2, $height+2);
	$bg_color = imagecolorallocatealpha($img,255,255,255,127);					//allocate 100% transparent bg color
	imageColorTransparent($img,$bg_color);
	imagefill($img,0,0,$bg_color);												//fill bg
	$currheight = 1;
	$text_color = imagecolorallocatealpha($img,0,0,0,0);						//allocate foreground color
	foreach($items as $item) {
		$str = $item->title;
		imagestring($img, $font_size, 1, $currheight, $str, $text_color);		//print the title
		$currheight += $text_height;
	}
?>