<?php
	class RSSFeed {
		const GET_ALL = 0;

		private $xml;
		private $version;

		public function RSSFeed($feedurl) {
			$this->xml = simplexml_load_file($feedurl);
			$this->version = $this->xml['version'];
		}

		public function getVersion() {
			return $this->version;
		}

		public function getItems($amount) {
			$result = array();
			$i = 0;
			foreach ($this->xml->channel->item as $item) {
				$result[$i] = $item;
				$i++;
				if ($i == $amount)
					break;
			}
			return $result;
		}
	}
?>