<?php
	require_once('inc/rssfeed.class.php');
	require_once('inc/config.php');

	$rss = new RSSFeed($feedurl);
	$items = $rss->getItems($amount);

	$text_width = imagefontwidth($font_size);
	$text_height = imagefontheight($font_size);
	$rows = count($items);
	if ($rows > 0) {
		switch ($rss->getVersion()) {
		case '0.91':
			include('inc/rss_0_91.inc');
			break;
		case '2.0':
			include('inc/rss_2_0.inc');
			break;
		default:
			include('inc/error.inc');
			break;
		}
		header("Content-type: image/png");
		imagepng($img);
		imagedestroy($img);
	}
	else {
		exit;
	}
?>